using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;

namespace ZipSamples
{
    public static class Strings
    {
        private static ResourceLoader _loader = ResourceLoader.GetForCurrentView("ZipSamplesLib/Resources");

        public static string ZipFile
        {
            get
            {
                return _loader.GetString("ZipFile");
            }
        }

        public static string CompressMessage
        {
            get
            {
                return _loader.GetString("CompressMessage");
            }
        }

        public static string ExtractMessage
        {
            get
            {
                return _loader.GetString("ExtractMessage");
            }
        }

        public static string NewFolder
        {
            get
            {
                return _loader.GetString("NewFolder");
            }
        }

        public static string Save
        {
            get
            {
                return _loader.GetString("Save");
            }
        }
        public static string UniqueIdItemsArgumentException
        {
            get
            {
                return _loader.GetString("UniqueIdItemsArgumentException");
            }
        }

        public static string DemoZipTitle
        {
            get
            {
                return _loader.GetString("DemoZipTitle");
            }
        }

        public static string DemoZipDescription
        {
            get
            {
                return _loader.GetString("DemoZipDescription");
            }
        }

        public static string DemoZipName
        {
            get
            {
                return _loader.GetString("DemoZipName");
            }
        }

        public static string Star
        {
            get
            {
                return _loader.GetString("Star");
            }
        }

        public static string InitializationException
        {
            get
            {
                return _loader.GetString("InitializationException");
            }
        }
    }
}
